curl
curl -sS "https://gateway.orbit/api/v1/task-groups?compact=1&project_id=4&status=success" \
--cacert /path/to/orbit-root-ca.pem \
-H 'Accept: application/json' \
-H 'X-Orbit-Request-Id: 9d6b1e5c-4a3f-4a1b-9f0e-6d2c3f5a7b81'{
"data": [
{
"id": 123,
"project_id": 123,
"project": "<string>",
"project_code": "<string>",
"taskable_type": "<string>",
"taskable_id": 123,
"title": "<string>",
"brief": "<string>",
"status": "backlog",
"reviewer_agent_thread_id": 123,
"pr_url": "<string>",
"watched_pr_url": "<string>",
"watched_pr_number": 123,
"watched_pr_state": "<string>",
"notify_coder": true,
"assistance_requested": true,
"assistance_kind": "direction",
"assistance_question": "<string>",
"assistance_reason": "<string>",
"implementer_model": "<string>",
"reviewer_model": "<string>",
"tokens": 123,
"line_diff": 123,
"lines_added": 123,
"lines_deleted": 123,
"duration_ms": 123,
"questions": 123,
"escalations": 123,
"tasks": [
{
"id": 123,
"task_group_id": 123,
"position": 123,
"title": "<string>",
"brief": "<string>",
"deliverables": [
{}
],
"topology": [
"<string>"
],
"status": "todo",
"implementer_agent_thread_id": 123,
"tokens": 123,
"line_diff": 123,
"lines_added": 123,
"lines_deleted": 123,
"duration_ms": 123,
"questions": 123,
"escalations": 123,
"type": "implementation",
"target_thread_id": "<string>",
"completion_summary": "<string>",
"check": {
"id": 123,
"kind": "baseline",
"status": "running",
"started_at": "<string>",
"finished_at": "<string>",
"exit_code": 123,
"changed_paths": [
"<string>"
],
"failed_step": "<string>",
"output": "<string>"
},
"assistance_requested": true,
"assistance_kind": "direction",
"assistance_question": "<string>",
"assistance_reason": "<string>",
"fixup_problem": "<string>"
}
],
"execution_mode": "managed",
"capacity_wait_reason": "<string>",
"vm_power": "running",
"preview": true,
"review_and_merge": {
"enabled": true,
"pr_branch": "<string>",
"merge_status": "waiting",
"merge_reason": "<string>",
"merged_sha": "<string>",
"reviewed_commits": [
{
"sha": "<string>",
"source": "orbit_push",
"review_task_id": 123,
"pushed_at": "<string>",
"github_review_id": 123,
"recorded_at": "<string>"
}
]
}
}
],
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Tasks
List Task groups
Lists Task groups, newest first. Optional project_id and status filters. The group and each subtask include assistance_requested, assistance_kind, assistance_question, and assistance_reason. Returns extension.disabled while the extension is off.
GET
/
api
/
v1
/
task-groups
curl
curl -sS "https://gateway.orbit/api/v1/task-groups?compact=1&project_id=4&status=success" \
--cacert /path/to/orbit-root-ca.pem \
-H 'Accept: application/json' \
-H 'X-Orbit-Request-Id: 9d6b1e5c-4a3f-4a1b-9f0e-6d2c3f5a7b81'{
"data": [
{
"id": 123,
"project_id": 123,
"project": "<string>",
"project_code": "<string>",
"taskable_type": "<string>",
"taskable_id": 123,
"title": "<string>",
"brief": "<string>",
"status": "backlog",
"reviewer_agent_thread_id": 123,
"pr_url": "<string>",
"watched_pr_url": "<string>",
"watched_pr_number": 123,
"watched_pr_state": "<string>",
"notify_coder": true,
"assistance_requested": true,
"assistance_kind": "direction",
"assistance_question": "<string>",
"assistance_reason": "<string>",
"implementer_model": "<string>",
"reviewer_model": "<string>",
"tokens": 123,
"line_diff": 123,
"lines_added": 123,
"lines_deleted": 123,
"duration_ms": 123,
"questions": 123,
"escalations": 123,
"tasks": [
{
"id": 123,
"task_group_id": 123,
"position": 123,
"title": "<string>",
"brief": "<string>",
"deliverables": [
{}
],
"topology": [
"<string>"
],
"status": "todo",
"implementer_agent_thread_id": 123,
"tokens": 123,
"line_diff": 123,
"lines_added": 123,
"lines_deleted": 123,
"duration_ms": 123,
"questions": 123,
"escalations": 123,
"type": "implementation",
"target_thread_id": "<string>",
"completion_summary": "<string>",
"check": {
"id": 123,
"kind": "baseline",
"status": "running",
"started_at": "<string>",
"finished_at": "<string>",
"exit_code": 123,
"changed_paths": [
"<string>"
],
"failed_step": "<string>",
"output": "<string>"
},
"assistance_requested": true,
"assistance_kind": "direction",
"assistance_question": "<string>",
"assistance_reason": "<string>",
"fixup_problem": "<string>"
}
],
"execution_mode": "managed",
"capacity_wait_reason": "<string>",
"vm_power": "running",
"preview": true,
"review_and_merge": {
"enabled": true,
"pr_branch": "<string>",
"merge_status": "waiting",
"merge_reason": "<string>",
"merged_sha": "<string>",
"reviewed_commits": [
{
"sha": "<string>",
"source": "orbit_push",
"review_task_id": 123,
"pushed_at": "<string>",
"github_review_id": 123,
"recorded_at": "<string>"
}
]
}
}
],
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Query Parameters
Required range:
x >= 1Available options:
backlog, todo, reserved, running, reviewing, settling, waiting_for_review, completed, failed, cancelled